package com.link.base.cachedt.service;

import com.link.core.basic.service.BasicServiceException;
import com.link.core.util.RedisUtil;
import com.link.core.util.StringUtils;
import com.link.core.util.redisclient.LinkRedisClient;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.validation.constraints.NotNull;
import org.springframework.stereotype.Service;

@Service
public class CacheDTServiceImpl implements CacheDTService {
   public Map<String, String> queryDataUpdTimes(@NotNull List<String> keys) {
      if (keys != null && !keys.isEmpty()) {
         LinkRedisClient linkRedisClient = null;

         try {
            linkRedisClient = RedisUtil.getJedis();
            Map<String, String> cacheDataTimeMap = new HashMap(keys.size());
            Iterator var4 = keys.iterator();

            while(var4.hasNext()) {
               String key = (String)var4.next();
               cacheDataTimeMap.put(key, linkRedisClient.get(key));
            }

            HashMap var9 = cacheDataTimeMap;
            return var9;
         } finally {
            if (linkRedisClient != null) {
               RedisUtil.returnResource(linkRedisClient);
            }

         }
      } else {
         throw new BasicServiceException("键不能为空");
      }
   }

   public Map<String, String> hqueryDataUpdTime(String key, String field) {
      if (!StringUtils.isBlank(key) && !StringUtils.isBlank(field)) {
         LinkRedisClient linkRedisClient = null;

         HashMap var6;
         try {
            linkRedisClient = RedisUtil.getJedis();
            String updTime = linkRedisClient.hget(key, field);
            Map<String, String> cacheDataTimeMap = new HashMap(1);
            cacheDataTimeMap.put(key, updTime);
            var6 = cacheDataTimeMap;
         } finally {
            if (linkRedisClient != null) {
               RedisUtil.returnResource(linkRedisClient);
            }

         }

         return var6;
      } else {
         throw new BasicServiceException("键或值不能为空不能为空");
      }
   }

   public Map<String, String> hgetAllqueryUpdTime(List<String> keys) {
      if (keys != null && !keys.isEmpty()) {
         LinkRedisClient linkRedisClient = null;

         try {
            linkRedisClient = RedisUtil.getJedis();
            Map<String, String> cacheDataTimeMap = new HashMap(1);
            Iterator var4 = keys.iterator();

            while(var4.hasNext()) {
               String key = (String)var4.next();
               Map<String, String> updTime = linkRedisClient.hgetAll(key);
               cacheDataTimeMap.putAll(updTime);
            }

            HashMap var10 = cacheDataTimeMap;
            return var10;
         } finally {
            if (linkRedisClient != null) {
               RedisUtil.returnResource(linkRedisClient);
            }

         }
      } else {
         throw new BasicServiceException("键不能为空不能为空");
      }
   }

   public void setCacheDataUpdateTime(String updateKey, String time) {
      LinkRedisClient linkRedisClient = null;

      try {
         if (StringUtils.isBlank(time)) {
            time = System.currentTimeMillis() + "";
         }

         linkRedisClient = RedisUtil.getJedis();
         linkRedisClient.set(updateKey, time);
      } finally {
         if (linkRedisClient != null) {
            RedisUtil.returnResource(linkRedisClient);
         }

      }

   }

   public void setCacheDataUpdateTime(String updateKey, LinkRedisClient redisClient, String time) {
      if (StringUtils.isBlank(time)) {
         time = System.currentTimeMillis() + "";
      }

      redisClient.set(updateKey, time);
   }

   public void setCacheDataUpdateTime(List<String> updateKey, String time) {
      LinkRedisClient linkRedisClient = null;

      try {
         if (StringUtils.isBlank(time)) {
            time = System.currentTimeMillis() + "";
         }

         linkRedisClient = RedisUtil.getJedis();
         Iterator var4 = updateKey.iterator();

         while(var4.hasNext()) {
            String lastUpdate = (String)var4.next();
            linkRedisClient.set(lastUpdate, time);
         }
      } finally {
         if (linkRedisClient != null) {
            RedisUtil.returnResource(linkRedisClient);
         }

      }

   }

   public void setCacheDataUpdateTime(List<String> updateKey, LinkRedisClient redisClient, String time) {
      if (StringUtils.isBlank(time)) {
         time = System.currentTimeMillis() + "";
      }

      Iterator var4 = updateKey.iterator();

      while(var4.hasNext()) {
         String lastUpdate = (String)var4.next();
         redisClient.set(lastUpdate, time);
      }

   }

   public void hmsetCacheDataUpdateTime(String key, Map<String, String> fieldValue) {
      if (StringUtils.isNotBlank(key) && fieldValue != null && !fieldValue.isEmpty()) {
         LinkRedisClient linkRedisClient = null;

         try {
            linkRedisClient = RedisUtil.getJedis();
            linkRedisClient.hmset(key, fieldValue);
         } finally {
            if (linkRedisClient != null) {
               RedisUtil.returnResource(linkRedisClient);
            }

         }
      }

   }

   public void hmsetCacheDataUpdateTime(String key, Map<String, String> fieldValue, LinkRedisClient redisClient) {
      if (StringUtils.isNotBlank(key) && fieldValue != null && !fieldValue.isEmpty() && redisClient != null) {
         redisClient.hmset(key, fieldValue);
      }

   }

   public void hsetCacheDataUpdTime(String updateKey, String field, LinkRedisClient redisClient, String time) {
      if (StringUtils.isBlank(time)) {
         time = System.currentTimeMillis() + "";
      }

      redisClient.hset(updateKey, field, time);
   }

   public void hsetCacheDataUpdTime(String updateKey, String field, String time) {
      LinkRedisClient linkRedisClient = null;

      try {
         if (StringUtils.isBlank(time)) {
            time = System.currentTimeMillis() + "";
         }

         linkRedisClient = RedisUtil.getJedis();
         linkRedisClient.hset(updateKey, field, time);
      } finally {
         if (linkRedisClient != null) {
            RedisUtil.returnResource(linkRedisClient);
         }

      }

   }
}
